Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.sonar.runner
[Groovy] Class SonarProperties

    java.lang.Object
      org.gradle.api.sonar.runner.SonarProperties

    @Incubating
    class SonarProperties

The Sonar properties for the current Gradle project that are to be passed to the Sonar Runner. The `properties` map is already populated with the defaults provided by Gradle, and can be further manipulated as necessary. Before passing them on to the Sonar Runner, property values are converted to Strings as follows:

- {@Iterable}s are recursively converted and joined into a comma-separated String.
- All other values are converted to Strings by calling their `toString` method.

Property Summary
`Map` | `properties` The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.

Method Summary
`void` | `properties(Map properties)` Convenience method for setting multiple properties.
`void` | `property(String key, Object value)` Convenience method for setting a single property.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### properties

    Map properties

  The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.

Method Detail

### properties

    void properties(Map properties)

  Convenience method for setting multiple properties.
  Parameters:
    `properties` - the properties to be added

### property

    void property(String key, Object value)

  Convenience method for setting a single property.
  Parameters:
    `key` - the key of the property to be added
    `value` - the value of the property to be added

Gradle API 1.10